--- sshmitm.c.orig	2015-01-29 00:12:33.000000000 +0100
+++ sshmitm.c	2015-01-29 00:13:11.000000000 +0100
@@ -41,7 +41,7 @@
 int	 client_fd, server_fd;
 SSH_CTX	*ssh_client_ctx, *ssh_server_ctx;
 SSH	*ssh_client, *ssh_server;
-struct	 sockaddr_in csin, ssin;
+struct	 sockaddr_in c_sin, s_sin;
 int	 sig_pipe[2];
 
 static void
@@ -112,19 +112,19 @@
 	if (setsockopt(mitm_fd, SOL_SOCKET, SO_REUSEADDR, &i, sizeof(i)) == -1)
 		err(1, "setsockopt");
 	
-	memset(&ssin, 0, sizeof(ssin));
-	ssin.sin_family = AF_INET;
-	ssin.sin_addr.s_addr = INADDR_ANY;
-	ssin.sin_port = htons(lport);
+	memset(&s_sin, 0, sizeof(s_sin));
+	s_sin.sin_family = AF_INET;
+	s_sin.sin_addr.s_addr = INADDR_ANY;
+	s_sin.sin_port = htons(lport);
 	
-	if (bind(mitm_fd, (struct sockaddr *)&ssin, sizeof(ssin)) == -1)
+	if (bind(mitm_fd, (struct sockaddr *)&s_sin, sizeof(s_sin)) == -1)
 		err(1, "bind");
 	
 	if (listen(mitm_fd, 3) == -1)
 		err(1, "listen");
 	
-	ssin.sin_addr.s_addr = ip;
-	ssin.sin_port = htons(rport);
+	s_sin.sin_addr.s_addr = ip;
+	s_sin.sin_port = htons(rport);
 	
 	SSH_init();
 	
@@ -148,7 +148,7 @@
 	
 	if (Opt_debug)
 		warnx("new connection from %s.%d",
-		      inet_ntoa(csin.sin_addr), ntohs(csin.sin_port));
+		      inet_ntoa(c_sin.sin_addr), ntohs(c_sin.sin_port));
 	
 	if (fcntl(client_fd, F_SETFL, 0) == -1)
 		err(1, "fcntl");
@@ -157,7 +157,7 @@
 	if ((server_fd = socket(AF_INET, SOCK_STREAM, 0)) == -1)
 		err(1, "socket");
 	
-	if (connect(server_fd, (struct sockaddr *)&ssin, sizeof(ssin)) == -1)
+	if (connect(server_fd, (struct sockaddr *)&s_sin, sizeof(s_sin)) == -1)
 		err(1, "connect");
 
 	/* Relay version strings. */
@@ -237,11 +237,11 @@
 				}
 				else {
 					pass_done = 1;
-					record(csin.sin_addr.s_addr,
-					       ssin.sin_addr.s_addr,
+					record(c_sin.sin_addr.s_addr,
+					       s_sin.sin_addr.s_addr,
 					       IPPROTO_TCP,
-					       ntohs(csin.sin_port),
-					       ntohs(ssin.sin_port), "ssh",
+					       ntohs(c_sin.sin_port),
+					       ntohs(s_sin.sin_port), "ssh",
 					       userpass, strlen(userpass));
 				}
 			}			    
@@ -326,7 +326,7 @@
 			if (errno != EINTR)
 				err(1, "select");
 		}
-		i = sizeof(csin);
+		i = sizeof(c_sin);
 		
 		if (FD_ISSET(sig_pipe[0], &fds)) {
 			while (read(sig_pipe[0], buf, 1) == 1)
@@ -336,7 +336,7 @@
 		}
 		if (FD_ISSET(mitm_fd, &fds)) {
 			client_fd = accept(mitm_fd,
-					   (struct sockaddr *)&csin, &i);
+					   (struct sockaddr *)&c_sin, &i);
 
 			if (client_fd >= 0) {
 				if (fork() == 0) {
